MAT_VARGETSTRUCTFIELDNAMES(3)

NAME
Mat_VarGetStructFieldnames - Get the fieldnames of a structure variable.

SYNOPSIS
#include <matio.h>
char * const *
Mat_VarGetStructFieldnames(const matvar_t *matvar);

DESCRIPTION
The Mat_VarGetStructFieldnames() function returns the fieldnames of the structure variable matvar.

RETURN VALUES
An array of fieldnames is returned of the variable is a valid structure variable. Otherwise NULL is returned. The Mat_VarGetNumberOfFields() function returns the number of fields for the structure.

SEE ALSO
Mat_VarGetNumberOfFields(3)